## ETableHeader ETableHeader |

## Functions

gboolean | (*ETableColCheckFunc) ()
ETableHeader * | e_table_header_new ()
void | e_table_header_add_column ()
ETableCol * | e_table_header_get_column ()
ETableCol * | e_table_header_get_column_by_spec ()
ETableCol * | e_table_header_get_column_by_col_idx ()
gint | e_table_header_count ()
gint | e_table_header_index ()
gint | e_table_header_get_index_at ()
ETableCol ** | e_table_header_get_columns ()
gint | e_table_header_get_selected ()
gint | e_table_header_total_width ()
gint | e_table_header_min_width ()
void | e_table_header_move ()
void | e_table_header_remove ()
void | e_table_header_set_size ()
void | e_table_header_set_selection ()
gint | e_table_header_col_diff ()
void | e_table_header_calc_widths ()
GList * | e_table_header_get_selected_indexes ()
void | e_table_header_update_horizontal ()
gint | e_table_header_prioritized_column ()
ETableCol * | e_table_header_prioritized_column_selected ()

## Description

## Functions

### ETableColCheckFunc ()

    gboolean
    (*ETableColCheckFunc) (ETableCol *col,
                           gpointer user_data);

`ETableColCheckFunc` is deprecated and should not be used in newly-written code.

### e_table_header_new ()

    ETableHeader *
    e_table_header_new (void);

`e_table_header_new` is deprecated and should not be used in newly-written code.

#### Returns

A new `ETableHeader` object.

### e_table_header_add_column ()

    void
    e_table_header_add_column (ETableHeader *eth,
                               ETableCol *tc,
                               gint pos);

`e_table_header_add_column` is deprecated and should not be used in newly-written code.

This function adds the `tc` ETableCol definition into the `eth` ETableHeader at position `pos` . This is the way you add new ETableCols to the ETableHeader. The header will assume ownership of the `tc` ; you should not unref it after you add it.

This function will emit the "structure_change" signal on the `eth` object. The ETableCol is assumed

#### Parameters

eth | the table header to add the column to. |
tc | the ETableCol definition |
pos | position where the ETableCol will go. |

### e_table_header_get_column ()

    ETableCol *
    e_table_header_get_column (ETableHeader *eth,
                               gint column);

`e_table_header_get_column` is deprecated and should not be used in newly-written code.

#### Parameters

eth | the ETableHeader to query |
column | the column inside the `eth` . |

#### Returns

The ETableCol at `column` in the `eth` object

### e_table_header_get_column_by_spec ()

    ETableCol *
    e_table_header_get_column_by_spec (ETableHeader *eth,
                                       ETableColumnSpecification *spec);

`e_table_header_get_column_by_spec` is deprecated and should not be used in newly-written code.

Returns the ETableCol having `spec` as the column specification, or `NULL` if there is no matching ETableCol.

#### Parameters

eth | the ETableHeader to query |
spec | an ETableColumnSpecification |

#### Returns

an ETableCol, or `NULL`

### e_table_header_get_column_by_col_idx ()

    ETableCol *
    e_table_header_get_column_by_col_idx (ETableHeader *eth,
                                          gint col_idx);

`e_table_header_get_column_by_col_idx` is deprecated and should not be used in newly-written code.

### e_table_header_count ()

    gint
    e_table_header_count (ETableHeader *eth);

`e_table_header_count` is deprecated and should not be used in newly-written code.

#### Parameters

eth | the ETableHeader to query |

#### Returns

the number of columns in this ETableHeader.

### e_table_header_index ()

    gint
    e_table_header_index (ETableHeader *eth,
                          gint col);

`e_table_header_index` is deprecated and should not be used in newly-written code.

ETableHeaders contain the visual list of columns that the user will view. The visible columns will typically map to different columns in the ETableModel (because the user reordered the data for example).

#### Parameters

eth | the ETableHeader to query |
col | the column to fetch. |

#### Returns

the column that contains pixel `x_offset` , or -1 if no column inside this ETableHeader contains that pixel.

### e_table_header_get_index_at ()

    gint
    e_table_header_get_index_at (ETableHeader *eth,
                                 gint x_offset);

`e_table_header_get_index_at` is deprecated and should not be used in newly-written code.

### e_table_header_get_columns ()

    ETableCol **
    e_table_header_get_columns (ETableHeader *eth);

`e_table_header_get_columns` is deprecated and should not be used in newly-written code.

#### Parameters

eth | The ETableHeader to query |

#### Returns

A NULL terminated array of the ETableCols contained in the ETableHeader `eth` . Note that every returned ETableCol in the array has been referenced, to release this information you need to g_free the buffer returned and you need to g_object_unref every element returned

### e_table_header_get_selected ()

    gint
    e_table_header_get_selected (ETableHeader *eth);

`e_table_header_get_selected` is deprecated and should not be used in newly-written code.

#### Parameters

eth | The ETableHeader to query |

#### Returns

The number of selected columns in the `eth` object.

### e_table_header_total_width ()

    gint
    e_table_header_total_width (ETableHeader *eth);

`e_table_header_total_width` is deprecated and should not be used in newly-written code.

#### Parameters

eth | The ETableHeader to query |

#### Returns

the number of pixels used by the `eth` object when rendered on screen

### e_table_header_min_width ()

    gint
    e_table_header_min_width (ETableHeader *eth);

`e_table_header_min_width` is deprecated and should not be used in newly-written code.

#### Parameters

eth | The ETableHeader to query |

#### Returns

the minimum number of pixels required by the `eth` object.

### e_table_header_move ()

    void
    e_table_header_move (ETableHeader *eth,
                         gint source_index,
                         gint target_index);

`e_table_header_move` is deprecated and should not be used in newly-written code.

This function moves the column `source_index` to `target_index` inside the `eth` ETableHeader. The signals "dimension_change" and "structure_change" will be emmited

#### Parameters

eth | The ETableHeader to operate on. |
source_index | the source column to move. |
target_index | the target location for the column |

### e_table_header_remove ()

    void
    e_table_header_remove (ETableHeader *eth,
                           gint idx);

`e_table_header_remove` is deprecated and should not be used in newly-written code.

Removes the column at `idx` position in the ETableHeader `eth` . This emmits the "structure_change" signal on the `eth` object.

#### Parameters

eth | The ETableHeader to operate on. |
idx | the index to the column to be removed. |

### e_table_header_set_size ()

    void
    e_table_header_set_size (ETableHeader *eth,
                             gint idx,
                             gint size);

`e_table_header_set_size` is deprecated and should not be used in newly-written code.

### e_table_header_set_selection ()

    void
    e_table_header_set_selection (ETableHeader *eth,
                                  gboolean allow_selection);

`e_table_header_set_selection` is deprecated and should not be used in newly-written code.

### e_table_header_col_diff ()

    gint
    e_table_header_col_diff (ETableHeader *eth,
                             gint start_col,
                             gint end_col);

`e_table_header_col_diff` is deprecated and should not be used in newly-written code.

Computes the number of pixels between the columns `start_col` and `end_col` .

#### Parameters

eth | the ETableHeader to query. |
start_col | the starting column |
end_col | the ending column. |

#### Returns

the number of pixels between `start_col` and `end_col` on the `eth` ETableHeader object

### e_table_header_calc_widths ()

    void
    e_table_header_calc_widths (ETableHeader *eth);

`e_table_header_calc_widths` is deprecated and should not be used in newly-written code.

### e_table_header_get_selected_indexes ()

    GList *
    e_table_header_get_selected_indexes (ETableHeader *eth);

`e_table_header_get_selected_indexes` is deprecated and should not be used in newly-written code.

### e_table_header_update_horizontal ()

    void
    e_table_header_update_horizontal (ETableHeader *eth);

`e_table_header_update_horizontal` is deprecated and should not be used in newly-written code.

### e_table_header_prioritized_column ()

    gint
    e_table_header_prioritized_column (ETableHeader *eth);

`e_table_header_prioritized_column` is deprecated and should not be used in newly-written code.

### e_table_header_prioritized_column_selected ()

    ETableCol *
    e_table_header_prioritized_column_selected
                                   (ETableHeader *eth,
                                    ETableColCheckFunc check_func,
                                    gpointer user_data);

`e_table_header_prioritized_column_selected` is deprecated and should not be used in newly-written code.

## Types and Values